<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Calculadora</title>
    <link rel="stylesheet" href="estilo.css" />
    <script src="programa.js"></script>
</head>
<body>
    <form id="formulario">
        <div class="cuadro">
            <label for="numero1">X</label><input type="text" name="" id="numero1" onfocusout="miCalculador.sValor1=this.value;otroCalculador.sValor1=this.value" />
        </div>
        <div class="cuadro">
            <label for="numero2">Y</label><input type="text" name="" id="numero2" onfocusout="miCalculador.sValor2=this.value;otroCalculador.sValor2=this.value" />
        </div>
        <div>
            <input type="button" class="boton" value="+" onclick="document.getElementById('divResultado').innerText=miCalculador.sumar()">
            <input type="button" class="boton" value="-" onclick="document.getElementById('divResultado').innerHTML=miCalculador.restar()">
            <input type="button" class="boton" value="/" onclick="document.getElementById('divResultado').innerHTML=miCalculador.modular()">
        </div>
        <div>
            <input type="button" class="boton" value="X^Y" onclick="document.getElementById('divResultado').innerHTML=otroCalculador.potenciar()">
            <input type="button" class="boton" value="Log X" onclick="document.getElementById('divResultado').innerHTML=otroCalculador.getBaseLogX()">
            <input type="button" class="boton" value="Log Y" onclick="document.getElementById('divResultado').innerHTML=otroCalculador.getBaseLogY()">
        </div>
    </form>
    <div id="divResultado">

    </div>
</body>
</html>